Bug 859504 - Review Request: php-xcache - Fast, stable PHP opcode cacher
Review Request: php-xcache - Fast, stable PHP opcode cacher
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 13:13 EDT by Remi Collet
Modified: 2012-12-11 15:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-02 22:22:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-review results (9.69 KB, text/plain)
2012-11-23 18:11 EST, Johan Cwiklinski
no flags Details
source diff (1.12 KB, text/plain)
2012-11-23 18:11 EST, Johan Cwiklinski
no flags Details

  None (edit)
Description Remi Collet 2012-09-21 13:13:45 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/master/php/php-xcache/php-xcache.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-xcache-2.0.1-3.remi.src.rpm
Description: 
XCache is a fast, stable  PHP opcode cacher that has been tested and is now
running on production servers under high load. 

It is tested (on linux) and supported on all of the latest PHP release. 
ThreadSafe is also perfectly supported. 

It overcomes a lot of problems that has been with other competing opcachers
such as being able to be used with new  PHP versions. 

Fedora Account System Username: remi


Target: F17+, EPEL6+
I keep compatibility stuff to allow backport to older release and will work on fixing the EL-5 build.
Comment 2 Remi Collet 2012-10-27 02:53:52 EDT
EPEL-6 Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4630662
Comment 4 Johan Cwiklinski 2012-11-23 18:11:29 EST
Created attachment 650714 [details]
fedora-review results
Comment 5 Johan Cwiklinski 2012-11-23 18:11:59 EST
Created attachment 650715 [details]
source diff
Comment 6 Johan Cwiklinski 2012-11-23 18:14:54 EST
BLOCKER: sources mismatch :(

It seems that upstream has modified their tarball on november 9, adding some files and fixing release number...

I guess the sed to remove -dev in your specfile is therefore no longer needeed.

Also, it seems that your package should Requires php-common and not php.

At last, review script complains about conflicts, but it seems that is ok for that package.
Comment 7 Remi Collet 2012-11-24 01:58:50 EST
(In reply to comment #6)
> BLOCKER: sources mismatch :(
> 
> It seems that upstream has modified their tarball on november 9, adding some
> files and fixing release number...

Grr... fixed.
https://github.com/remicollet/remirepo/commit/51ffa463f4c25df76928f1ff576b60b1ed6fe04f

> I guess the sed to remove -dev in your specfile is therefore no longer
> needeed.

Yes (at least, it proves that my sanity check is useful)

> Also, it seems that your package should Requires php-common and not php.

fedora-review false positive.
The library doesn't requires php (only php abi).
The web-app requires httpd and mod_php as it provides a httpd config file.

> At last, review script complains about conflicts, but it seems that is ok
> for that package.

Yes (we already have this conflicts in the other opcode caches, eAccelerator and APC)

Spec URL: https://raw.github.com/remicollet/remirepo/master/php/php-xcache/php-xcache.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-xcache-3.0.0-1.remi.1.src.rpm
Comment 8 Johan Cwiklinski 2012-11-24 03:49:11 EST
Ok, well:
- sources matches upstream,
- require on php abi is fine,
- conflict is documented.

***** APPROVED *****
Comment 9 Remi Collet 2012-11-24 04:04:13 EST
Thanks for the review

New Package SCM Request
=======================
Package Name: php-xcache
Short Description: Fast, stable PHP opcode cacher
Owners: remi
Branches: f17 f18 el6
InitialCC:
Comment 10 Gwyn Ciesla 2012-11-24 13:18:16 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-11-24 14:31:47 EST
php-xcache-3.0.0-1.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-xcache-3.0.0-1.fc18.1
Comment 12 Fedora Update System 2012-11-24 14:32:12 EST
php-xcache-3.0.0-1.fc17.1 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-xcache-3.0.0-1.fc17.1
Comment 13 Fedora Update System 2012-11-24 14:36:18 EST
php-xcache-3.0.0-1.el6.1 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-xcache-3.0.0-1.el6.1
Comment 14 Fedora Update System 2012-11-25 13:25:09 EST
php-xcache-3.0.0-1.el6.1 has been pushed to the Fedora EPEL 6 testing repository.
Comment 15 Fedora Update System 2012-12-02 22:22:50 EST
php-xcache-3.0.0-1.fc18.1 has been pushed to the Fedora 18 stable repository.
Comment 16 Fedora Update System 2012-12-03 23:57:29 EST
php-xcache-3.0.0-1.fc17.1 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2012-12-11 15:29:26 EST
php-xcache-3.0.0-1.el6.1 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.